Subject: bug#11304: mouse-autoselect-window causes loss of messages from echo area

From: Kelly Dean <[email-masked]>
Date: Sat, 21 Apr 2012 02:53:25 -0700 (PDT)

I'm using Emacs on X on Debian 6 Stable. emacs-version says GNU Emacs 23.2.1 (i486-pc-linux-gnu, GTK+ Version 2.20.0) of 2010-12-11 on raven, modified by Debian.
Steps to reproduce the bug (or maybe it's an intentional feature, but if so, I don't see the purpose):
Put just the following in your .emacs file:
(setq mouse-autoselect-window t)
Start Emacs with no options.
Press C-g.
Move your mouse pointer across the echo area. Emacs erases "Quit". The desired behavior is to not erase the text; I routinely inadvertently move the pointer across the echo area when moving the pointer to another window (of the window manager, not of Emacs), and when I go back to Emacs, I then have to switch to *Messages* to see what the last message was, rather than just looking at the echo area. Disabling mouse-autoselect-window to avoid the bug isn't an option; the feature is too useful.